function [M0,P_0, T_0, pi_c, eff_c, Tt4_Tt2_ratio, mdotcorr2]=Turbojet_Engine_Thrust(M0,P_0, T_0, pi_c, eff_c, Tt4_Tt2_ratio, mdotcorr2)
clc

format long
gamma=1.4;
D=gamma/(gamma-1)-.5; %for exponent use in M0 equation
Cp=1004;
R=286;
h=4.5*10^7;
pi_t=.2486; %from map on vertical line Nt/(theta4)^.5
Pstp=101325;
Tstp=288;

P_0=[30000 58000 101325];
T_0=[230 287.5 288];

Area=xlsread('Performance_Envelope.xls',1 ,'E54:J54'); %loads area values into Area array
Tt4_Tt2_ratio=xlsread('Performance_Envelope.xls',1 ,'E63:L63');
pi_c=xlsread('Performance_Envelope.xls',1 ,'E64:L64');
eff_c=xlsread('Performance_Envelope.xls',1 ,'E65:L65');
mdotcorr2=xlsread('Performance_Envelope.xls',1 ,'E66:L66');


for alt=1:1:3
    

    for RPMline=1:1:8
        
        mdotf=.1:.1:.7;
        RPMline;
        alt;
        tau_c=1+1./(eff_c(RPMline)./100).*(pi_c(RPMline).^((gamma-1)/gamma)-1);
        C1=Cp*P_0(alt)./(Pstp*h)*mdotcorr2(RPMline)*(Tstp./T_0(alt)).^(.5)*(Tt4_Tt2_ratio(RPMline)-tau_c);

        M_0=(((mdotf./C1).^(1/D)-1)*2/(gamma-1)).^(.5);
        
           
                %Calculations
                pi_r=(1+(gamma-1)/2*M_0.^2).^(gamma/(gamma-1));
                tau_r=1+(gamma-1)/2*M_0.^2;

                %Station 0
                P_t0=P_0(alt)*(1+(gamma-1)/2*M_0.^2).^(gamma/(gamma-1));
                T_t0=T_0(alt)*(1+(gamma)/2*M_0.^2);
                %density_0=P_0/(R*T_0);
                a_0=sqrt(gamma*R*T_0(alt));
                Area1=Area(1);%fixed area from on-design analysis
                U_0=M_0.*a_0;
                
                mdot_0=P_t0/Pstp*mdotcorr2(RPMline)*1/sqrt(T_t0/Tstp);


                %Station 2
                M_2=.5;
                P_t2=P_t0;
                T_t2=T_t0;
                T_2=T_t2/(1+(gamma-1)/2*M_2^2);
                P_2=P_t2*(T_2/T_t2)^(gamma/(gamma-1));
                %density2=P_2/(R*T_2);
                a_2=sqrt(gamma*R*T_2);
                Area2=Area(2);%fixed area from on-design analysis
                U_2=M_2*a_2; %fixed area from on-design analysis
                mdot_2=mdot_0;


                tau_t=1-1/Tt4_Tt2_ratio(RPMline)*(tau_c-1);
                compline=eff_c(RPMline)./sqrt(T_t2/Tstp);
                turbline=compline/sqrt(Tt4_Tt2_ratio(RPMline));

                %Station 3
                P_t3=P_t2*pi_c(RPMline);
                T_t3=T_t2*tau_c;
                T_3=T_t3-T_t2+T_2;
                P_3=P_t3*(T_3/T_t3)^(gamma/(gamma-1));
                %density_3=P_3/(R*T_3);
                a_3=sqrt(gamma*R*T_3);
                Area3=Area(3);%fixed area from on-design analysis
                U_3=U_2;
                M_3=U_3/a_3;
                mdot_3=mdot_2;


                %Station 4
                M_4=1; %choked flow
                P_t4=P_t3;
                T_t4=Tt4_Tt2_ratio(RPMline)*T_t2;
                T_4=T_t4/(1+(gamma-1)/gamma);
                P_4=P_t4*(T_4/T_t4)^(gamma/(gamma-1));
                %density_4=P_4/(R*T_4);
                a_4=sqrt(gamma*R*T_4);
                Area4=Area(4);%fixed area from on-design analysis
                U_4=M_4*a_4;
                mdot_4=mdot_3;
                mdotcorr_4=mdot_4*sqrt(T_t4/Tstp)/(P_t4/Pstp);



                %Station 5
                P_t5=P_t4*pi_t;
                T_t5=T_t4*tau_t;
                U_5=.8*U_4;
                T_5=U_5.^2/(gamma*R);
                P_5=P_t5*(T_5/T_t5)^(gamma/(gamma-1));
                %density_5=P_5/(R*T_5);
                a_5=sqrt(gamma*R*T_5);
                Area5=Area(5);%fixed area from on-design analysis
                M_5=U_5/a_5;
                mdot_5=mdot_4;


                %Station 8
                M_8=1; %choked flow
                P_t8=P_t5;
                T_t8=T_t5;
                T_8=T_t8/(1+(gamma-1)/2);
                P_8=P_t8*(T_8/T_t8)^(gamma/(gamma-1));
                %density_8=P_8/(R*T_8);
                a_8=sqrt(gamma*R*T_8);
                Area8=Area(6);%fixed area from on-design analysis
                U_8=M_8*a_8;
                mdot_8=mdot_5;
                mdotcorr_8=mdot_8*sqrt(T_t8/Tstp)/(P_t8/Pstp);
            
                U_8;
                U_0;
                P_8;
                P_0(alt);
                alt;
                RPMline;
                mdotf;
                mdot_0;
                Thrust=mdotf.*(U_8-U_0)+(P_8-P_0(alt))*Area8;

                

                
                
                
    end
end

